package com.sensorsystem1.history;

import java.util.Vector;

import android.app.Activity;
import android.app.Application;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import com.Global;
import com.jjoe64.graphview.series.DataPoint;
import com.sensorsystem1.MainActivity;
import com.sensorsystem1.R;
import com.sensorsystem1.save.load;
import com.sensorsystem1.save.save;

public class History extends Activity {
	ListView listView;

	Vector<DataPoint> datapoints;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

//		save saveStuff = new save();
//		saveStuff.SaveData(((Global) this.getApplication()).getDatapoints());



		// datapoints = ((Global) this.getApplication()).getDatapoints();

		setContentView(R.layout.history);

		// Get ListView object from xml
		listView = (ListView) findViewById(R.id.list);

		// Defined Array values to show in ListView
		String[] values = ((Global) this.getApplication()).getListDates();

		// Define a new Adapter
		// First parameter - Context
		// Second parameter - Layout for the row
		// Third parameter - ID of the TextView to which the data is written
		// Forth - the Array of data

		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
				android.R.layout.simple_list_item_1, android.R.id.text1, values);

		// Assign adapter to ListView
		listView.setAdapter(adapter);

		// ((Global) this.getApplication()).setCurrentIndex(itemPosition);
		// Intent intent = new Intent(this, MainActivity.class);
		// startActivity(intent);

		// ListView Item Click Listener
		listView.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {

				// ListView Clicked item index
				int itemPosition = position;

				// ListView Clicked item value
				String itemValue = (String) listView
						.getItemAtPosition(position);

				// Show Alert
				// Toast.makeText(
				// getApplicationContext(),
				// "Position :" + itemPosition + "  ListItem : "
				// + itemValue, Toast.LENGTH_LONG).show();

				intention(itemPosition);

			}
		});

	}

	public void intention(int itemPosition) {
		((Global) this.getApplication()).setCurrentIndex(itemPosition);
		Intent intent = new Intent(this, DataView.class);
		startActivity(intent);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.history, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// openContextMenu(lv);
		switch (item.getItemId()) {
		case R.id.main:
			Intent intent = new Intent(this, MainActivity.class);
			startActivity(intent);
			break;
		case R.id.one_day:

			break;
		case R.id.seven_day:

			break;
		case R.id.month:

			break;
		case R.id.all_time:

			break;
		}
		return super.onOptionsItemSelected(item);
	}

}
// LoaderManager.LoaderCallbacks<Cursor> {
//
// // This is the Adapter being used to display the list's data
// SimpleCursorAdapter mAdapter;
//
// // These are the Contacts rows that we will retrieve
// static final String[] PROJECTION = new String[] {
// ContactsContract.Data._ID, ContactsContract.Data.DISPLAY_NAME };
//
// // This is the select criteria
// static final String SELECTION = "((" + ContactsContract.Data.DISPLAY_NAME
// + " NOTNULL) AND (" + ContactsContract.Data.DISPLAY_NAME
// + " != '' ))";
//
// Vector<DataPoint> datapoints ;
//
//
//
// @Override
// protected void onCreate(Bundle savedInstanceState) {
// super.onCreate(savedInstanceState);
//
// datapoints= ((Global) this.getApplication())
// .getDatapoints();
//
// // Create a progress bar to display while the list loads
// ProgressBar progressBar = new ProgressBar(this);
// progressBar.setLayoutParams(new LayoutParams(LayoutParams.WRAP_CONTENT,
// LayoutParams.WRAP_CONTENT, Gravity.CENTER));
// progressBar.setIndeterminate(true);
// getListView().setEmptyView(progressBar);
//
// // Must add the progress bar to the root of the layout
// ViewGroup root = (ViewGroup) findViewById(android.R.id.content);
// root.addView(progressBar);
// //
// // String[] fromColumns= new String[datapoints.size()];
// // int[] toViews = new int[datapoints.size()];
//
// String[] fromColumns = { "Hello" };
//
// // for(int i=0; i<datapoints.size();i++){
// // Double temp = datapoints.get(i).getX();
// // fromColumns[i]= temp.toString();
// // toViews[i]=i;
//
// // }
//
// // For the cursor adapter, specify which columns go into which views
// // String[] fromColumns = { ContactsContract.Data.DISPLAY_NAME };
// int[] toViews = { android.R.id.text1 }; // The TextView in
// // // simple_list_item_1
//
// // Create an empty adapter we will use to display the loaded data.
// // We pass null for the cursor, then update it in onLoadFinished()
// mAdapter = new SimpleCursorAdapter(this,
// android.R.layout.simple_list_item_1, null, fromColumns,
// toViews, 0);
// setListAdapter(mAdapter);
//
// // Prepare the loader. Either re-connect with an existing one,
// // or start a new one.
// getLoaderManager().initLoader(0, null, this);
// }
//
// // Called when a new Loader needs to be created
// public Loader<Cursor> onCreateLoader(int id, Bundle args) {
// // Now create and return a CursorLoader that will take care of
// // creating a Cursor for the data being displayed.
// return new CursorLoader(this, ContactsContract.Data.CONTENT_URI,
// PROJECTION, SELECTION, null, null);
// }
//
// // Called when a previously created loader has finished loading
// public void onLoadFinished(Loader<Cursor> loader, Cursor data) {
// // Swap the new cursor in. (The framework will take care of closing the
// // old cursor once we return.)
// mAdapter.swapCursor(data);
// }
//
// // Called when a previously created loader is reset, making the data
// // unavailable
// public void onLoaderReset(Loader<Cursor> loader) {
// // This is called when the last Cursor provided to onLoadFinished()
// // above is about to be closed. We need to make sure we are no
// // longer using it.
// mAdapter.swapCursor(null);
// }
//
// @Override
// public void onListItemClick(ListView l, View v, int position, long id) {
// // Do something when a list item is clicked
// System.out.println(id);
// }
// }